%define url_ver %(echo %{version} | cut -d. -f1,2)

%define lib_major	0
%define api		3.0
%define libname		%mklibname %{name}-private %{lib_major}
%define libnamedev	%mklibname -d %{name}-private

# ovitters remove this autoreq; this is a hack
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libmutter-

# don't add private typelibs to provides
#global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libdir}/mutter/.*\\.typelib$

Summary:	Mutter window manager
Name:		mutter
Version:	3.24.2
Release:	%mkrel 2
URL:		https://download.gnome.org/sources/mutter/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# upstream fixes:
# other patches
Patch1001:	mutter-disable-cast-align.patch
Patch1002:	fix-string-format.patch

License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.7.3
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.3
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.7
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(xcomposite) >= 0.2
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(pango) >= 1.2.0
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xi) >= 1.6.99.1
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(clutter-1.0) >= 1.19.5
BuildRequires:	pkgconfig(upower-glib) >= 0.99.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(libdrm)
#BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(wayland-server) >= 1.4.93
BuildRequires:	pkgconfig(clutter-wayland-1.0)
BuildRequires:	pkgconfig(clutter-wayland-compositor-1.0)
BuildRequires:	pkgconfig(clutter-egl-1.0)
BuildRequires:	pkgconfig(cogl-1.0) >= 1.17.1
# for wayland:
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xkbcommon) >= 0.4.3
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	zenity
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-common
BuildRequires:	autoconf
Requires:	zenity
# wayland branched merged in 3.13.1
Provides:	mutter-wayland = %{version}-%{release}
Obsoletes:	mutter-wayland < 3.13.1
# no need to split out one private typelib as plenty of others were pkg'ed in main pkg
Obsoletes:	%{_lib}mutter-gir3.0 < 3.22.2-4

%description
Mutter is a simple window manager that integrates nicely with 
GNOME 3.

%package -n %{libname}
Summary:	Libraries for Mutter
Group:		System/Libraries
Obsoletes:	%{mklibname mutter-wayland-private 0} < 3.13.1

%description -n %{libname}
This package contains libraries used by Mutter.

%package -n %{libnamedev}
Summary:	Libraries and include files with Mutter
Group:		Development/GNOME and GTK+
Requires:       %{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-private-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d mutter-wayland-private} < 3.13.1
Conflicts:	%{name} < 3.22.2-4

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with Mutter.

%prep
%setup -q
%autopatch -p1

%build
# fix error when building:
export CFLAGS="$CLAGS -Wno-error=sign-compare"
autoreconf -ifv
%configure2_5x \
	--disable-static \
	--enable-introspection=yes \
	--enable-wayland \
	--enable-native-backend
%make V=1

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%files -f %{name}.lang
%doc NEWS
%{_bindir}/*
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.wayland.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.typelib
%{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/default.so
%{_mandir}/man1/*
/usr/libexec/mutter-restart-helper

%files -n %{libname}
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}/*.gir


%changelog
* Fri May 12 2017 wally <wally> 3.24.2-2.mga6
+ Revision: 1100617
- rebuild for armv5tl

* Thu May 11 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100323
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096367
- new version 3.24.1

* Thu Mar 23 2017 tv <tv> 3.24.0-3.mga6
+ Revision: 1094586
- stop disaling -Wformat after previous patch

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-2.mga6
+ Revision: 1094517
- bump rel
- add patch to fix string format

  + tv <tv>
    - relax Wformat b/c of issues on i586
    - stop blocking private typelib provides as this now break mutter deps
    - new release

* Sat Feb 18 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086677
- new version 3.22.3
- dropped merged patch 7
- dropped merged patch 6
- dropped merged patch 5
- dropped merged patch 4
- dropped merged patch 3
- dropped merged patch 2

* Tue Feb 14 2017 wally <wally> 3.22.2-4.mga6
+ Revision: 1086153
- drop separate typelib pkg for one private typelib
- move private gir files to devel pkg

* Tue Feb 14 2017 wally <wally> 3.22.2-3.mga6
+ Revision: 1086143
- filter our private typelib provides (mga#20289)

* Fri Dec 23 2016 tmb <tmb> 3.22.2-2.mga6
+ Revision: 1076674
- pull in upstream fixes (fixes mga#19956)

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066228
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060113
- new version 3.22.1
- dropped merged patch 2

* Mon Sep 26 2016 tv <tv> 3.22.0-6.mga6
+ Revision: 1056788
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-5.mga6
+ Revision: 1055822
- add hack to prevent strange auto requires

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-4.mga6
+ Revision: 1055249
- add patch for string format error
- remove obsolete patch
- new version 3.22.0

* Thu Jun 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1038228
- new version 3.20.3

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012309
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001059
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994157
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992148
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985018
- new version 3.19.91

* Sun Feb 21 2016 tv <tv> 3.19.90-1.mga6
+ Revision: 975888
- only apply patch 1 to ia32... :-(
- patch 1: build fix
- temporary build fix

  + ovitters <ovitters>
    - new version 3.19.90

* Thu Jan 21 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926352
- new version 3.19.4

* Thu Dec 17 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911218
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906323
- obsolete unneeded -wayland packages
- new version 3.19.2

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902831
- new version 3.18.2

* Fri Oct 16 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 891988
- drop merged patch
- new release

* Mon Oct 12 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 890113
- fix crash with mpv under Wayland

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882551
- new release

* Thu Sep 17 2015 wally <wally> 3.17.92-2.mga6
+ Revision: 880137
- fix mutter-wayland obsoletes (mga#16745)

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879933
- new version 3.17.92

* Thu Sep 03 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872481
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866862
- new version 3.17.90

* Sat Jul 25 2015 blino <blino> 3.17.4-1.mga6
+ Revision: 857087
- remove gtk-doc (dropped upstream in commit 7dc0b0e6022ef101aac4987aee8363c0330d58f1)

  + ovitters <ovitters>
    - new version 3.17.4

* Wed Jul 08 2015 ovitters <ovitters> 3.17.3-2.mga6
+ Revision: 852916
- ensure native backend is built

* Thu Jul 02 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 849512
- new version 3.17.3

* Tue Jun 30 2015 wally <wally> 3.17.2-3.mga6
+ Revision: 848905
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.17.2-2.mga6
+ Revision: 847792
- add requires for gir pkg to devel pkg

  + ovitters <ovitters>
    - ensure wayland is enabled

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838372
- new version 3.17.2
- dropped merged patch 3
- dropped merged patch 2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836300
- new version 3.14.4

* Wed May 06 2015 tmb <tmb> 3.14.3-5.mga5
+ Revision: 821342
- launcher: Fix a crash that happens when TakeDevice has an error
- Include libXrender as a dependency, link it to libmutter
- revert broken fglrx testfix

* Fri Apr 24 2015 tmb <tmb> 3.14.3-4.mga5
+ Revision: 820685
- work around Gnome crash with fglrx (bgo#741581, mga#15653)

* Sat Feb 21 2015 tv <tv> 3.14.3-3.mga5
+ Revision: 816164
- BR systemd-devel, thus fixing wayland support
  (broken b/c native backend was disabled)

  + ovitters <ovitters>
    - drop patch, was already applied
    - add patch from master fixing some log messages (mga#15017)

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804790
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796741
- new version 3.14.2

* Wed Nov 05 2014 tv <tv> 3.14.1.5-2.mga5
+ Revision: 795859
- fix obsoleting libmutter-wayland-private-devel

* Fri Oct 31 2014 ovitters <ovitters> 3.14.1.5-1.mga5
+ Revision: 794995
- new version 3.14.1.5
- dropped merged patch 2

* Thu Oct 16 2014 ovitters <ovitters> 3.14.1-2.mga5
+ Revision: 765537
- add upstream patch to fix build
- add upstream patch to fix build
- new version 3.14.1

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 727396
- rebuild for missing pythoneggs deps

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719235
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692840
- new version 3.13.92

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for new autoprov/req

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671511
- new version 3.13.91

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666233
- add upstream patch to fix linking
- br xkeyboard-config,xkbfile
- new version 3.13.90
- dropped merged patch 2

* Mon Aug 04 2014 blino <blino> 3.13.4-2.mga5
+ Revision: 659659
- add upstream patch to fix potential screen/update flickering problems (bgo#728464)

* Thu Jul 24 2014 tv <tv> 3.13.4-1.mga5
+ Revision: 656363
- adjust file list
- fix build

  + ovitters <ovitters>
    - new version 3.13.4

* Sun Jul 20 2014 colin <colin> 3.13.3-5.mga5
+ Revision: 654728
- Fix window initialisation which can cause info leak (bgo#733447)

* Sun Jul 20 2014 colin <colin> 3.13.3-4.mga5
+ Revision: 654715
- Fix shell restarting (bgo#733448, bgo#733068)

* Wed Jul 02 2014 ovitters <ovitters> 3.13.3-3.mga5
+ Revision: 642424
- obsolete the mutter-wayland-private-devel package

* Sat Jun 28 2014 pterjan <pterjan> 3.13.3-2.mga5
+ Revision: 640661
- Obsolete mutter-wayland

* Sat Jun 28 2014 wally <wally> 3.13.3-1.mga5
+ Revision: 640607
- add patch from usptream to link against libinput

  + tv <tv>
    - fix build

  + ovitters <ovitters>
    - new version 3.13.3

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622749
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615213
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608631
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605931
- new version 3.11.92

* Thu Mar 06 2014 tv <tv> 3.11.91-1.mga5
+ Revision: 600426
- new release

* Mon Feb 24 2014 tv <tv> 3.11.90-3.mga5
+ Revision: 596125
- rebuild for new cogl

* Mon Feb 24 2014 pterjan <pterjan> 3.11.90-2.mga5
+ Revision: 596111
- Rebuild for new cogl

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594999
- new version 3.11.90

* Wed Feb 19 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 594622
- rebuild for new libgnome-desktop

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584069
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582487
- new version 3.10.3

* Fri Nov 15 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551412
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1.1-2.mga4
+ Revision: 545492
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 3.10.1.1-1.mga4
+ Revision: 501334
- new version 3.10.1.1

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501045
- new version 3.10.1

* Wed Sep 25 2013 ovitters <ovitters> 3.10.0.1-1.mga4
+ Revision: 486150
- new version 3.10.0.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484568
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480534
- drop merged patch
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474844
- drop merged patch
- new version 3.9.91

* Mon Sep 02 2013 colin <colin> 3.9.90-5.mga4
+ Revision: 474339
- Mask XRandR BadValue reply under VirtualBox which leads to a gnome-shell crash

* Mon Sep 02 2013 colin <colin> 3.9.90-4.mga4
+ Revision: 474326
- Rebuild against new gnome-desktop3

* Mon Sep 02 2013 colin <colin> 3.9.90-3.mga4
+ Revision: 474306
- Update to current git master (fixes several crashes, incl. one from mga#11124)

* Thu Aug 22 2013 colin <colin> 3.9.90-2.mga4
+ Revision: 469702
- Possibly fix xrandr segv

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469412
- update file list
- br upower-glib,gnome-desktop-3.0
- new version 3.9.90

* Thu Aug 01 2013 tmb <tmb> 3.9.5-3.mga4
+ Revision: 462444
- rebuild for new cogl

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462427
- rebuild for new cogl

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461153
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459307
- new version 3.9.4

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454309
- Rebuild for new cogl

* Fri Jun 07 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440313
- new version 3.8.3

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427236
- package gtk-doc/meta
- rediff cast-align patch (now applies on configure.ac)
- 3.8.2

* Sat Mar 02 2013 rtp <rtp> 3.6.3-2.mga3
+ Revision: 401102
- disable cast-align warning, which leads to ftbfs on arm

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398277
- new version 3.6.3

* Mon Jan 14 2013 boklm <boklm> 3.6.2-3.mga3
+ Revision: 388120
- rebuild because libmutter-gir3.0-3.6.2-2.mga3.i586.rpm is empty on mirrors

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 360542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317355
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306828
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297356
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296211
- new version 3.5.92

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 292780
- remove br gir-repository

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287902
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282937
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279617
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271563
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266470
- new version 3.5.3

* Wed Apr 18 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231261
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226832
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225120
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 220654
- rebuild for new cogl

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212571
- new version
- drop cogl patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212378
- rebuild for new cogl (add P0 from upstream git)

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206361
- new version
- clean spec

* Sat Jan 21 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 198966
- new version
- drop merged patch

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197264
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190755
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171489
- enable introspection again as it's enabled in gsettings-desktop-schemas too (build doesn't fail anymore)
- drop unneeded patch

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171456
- disable deprecation warnings for clutter to get pkg to build
- disable introspection for now and ad P0 to fix build without it
- update file list

  + tv <tv>
    - rebuild for new mutter

  + fwang <fwang>
    - disable introspection for now
    - disable warnings
    - bump req
    - new version 3.3.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156080
- new version 3.2.1
- drop usptreamed patch

* Thu Sep 29 2011 colin <colin> 3.2.0-2.mga2
+ Revision: 150357
- Plug a memory leak (bgo#660464)

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148944
- new version 3.2.0
- clean .spec a bit

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146212
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145680
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143696
- new version 3.1.91.1

* Tue Aug 30 2011 ovitters <ovitters> 3.1.90.1-1.mga2
+ Revision: 136802
- Fix sha1.lst
- Update to 3.1.90.1

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136476
- do not promote warn-error for giscanner
- new version 3.1.90
- new version 3.1.4
- rebuild for new cogl

  + colin <colin>
    - Add BR on libsm. Solves the gnome-shell 'Oh Noes' login problem.

* Fri Jul 08 2011 cjw <cjw> 3.1.3.1-1.mga2
+ Revision: 119973
- 3.1.3.1

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-2.mga2
+ Revision: 102446
- Remove la files

* Tue Jun 07 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 101677
- Add gtk3+-devel as BR
- Add gtk3+-devel as BR
- New release 3.0.2.1

  + tv <tv>
    - new release
    - new release
    - rebuild for new gir
    - imported package mutter


* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 548403
- Patch3 (GIT): prevent possible DOS with too much damage events

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 545988
- Patch2: ensure text is locale encoded for Zenity (GNOME bug 617536)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-2mdv2010.1
+ Revision: 544363
- Patch0 (GIT): improves damage performance
- Patch1 (GIT): fix flashes when windows are created

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 525203
- new version
- drop patches

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-3mdv2010.1
+ Revision: 524470
- Patch1 (GIT): remove workaround for old intel drivers

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524226
- Patch0 (GIT): fix build with latest clutter

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 507979
- new version
- new API

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-0.20100211.1mdv2010.1
+ Revision: 504235
- git snapshot

* Thu Nov 26 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 470382
- add explicit dep on libmutter

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456006
- new version
- update file list

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 443442
- update to new version 2.27.5

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 432059
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 422131
- update to new version 2.27.3

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-2mdv2010.0
+ Revision: 415264
- move typelib to the library package

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 414699
- new version
- drop patches
- reenable --as-needed

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-3mdv2010.0
+ Revision: 410985
- fix for bug #52685

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-2mdv2010.0
+ Revision: 404615
- fix the patch
- patch for new clutter
- drop patches

* Fri Jul 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 396803
- initial package
- drop metacity theme patch
- build without --as-neede
- rename

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 374234
- new version
- drop patches 5,6

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-3mdv2009.1
+ Revision: 367437
- Fix default theme for One and Powerpack

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 363325
- Add libcanberra-devel as buildrequires
- Update default theme color for Mdv 2009.1
- Patch5 (SVN): fix struts with auto-hidden panel (GNOME bug #572573)
- Patch6 (SVN): use libcanberra to play sound events (GNOME bug #557921)

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356168
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.144-1mdv2009.1
+ Revision: 336232
- update to new version 2.25.144

* Sat Dec 27 2008 Götz Waschk <waschk@mandriva.org> 2.25.89-1mdv2009.1
+ Revision: 319930
- new version
- drop patch 5

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.55-1mdv2009.1
+ Revision: 315967
- new version
- update patch 0

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.34-1mdv2009.1
+ Revision: 309097
- update to new version 2.25.34

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 2.25.13-1mdv2009.1
+ Revision: 306913
- update to new version 2.25.13

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 306234
- disable werror to make it build
- depend on zenity
- new version
- update file list

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.5-2mdv2009.1
+ Revision: 301477
- rebuilt against new libxcb

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 296642
- update to new version 2.25.5

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 296547
- new version
- drop patches 0,1

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 296387
- fix build deps
- update file list
- new version
- patch to add sources missing from the tarball
- patch to fix linking
- update patch 2

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 293623
- new version
- update file list

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286846
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.610-1mdv2009.0
+ Revision: 283192
- new version
- update file list

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.377-1mdv2009.0
+ Revision: 279925
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.233-1mdv2009.0
+ Revision: 279562
- new version
- update file list

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-3mdv2009.0
+ Revision: 276236
- Update default theme to Ia Ora Smooth for all distro flavors

* Mon Aug 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-2mdv2009.0
+ Revision: 275900
- Patch5 (Fedora): don't move window across workspaces when raising (Mdv bug #25009) (GNOME bug #482354)

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-1mdv2009.0
+ Revision: 273301
- Release 2.23.144

* Wed Jul 23 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.55-2mdv2009.0
+ Revision: 242116
- Add xinerama devel libs to BR, ensure Xinerama support is always built

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.55-1mdv2009.0
+ Revision: 234435
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.34-1mdv2009.0
+ Revision: 231170
- new version
- update license
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183169
- new version

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.21-2mdv2008.1
+ Revision: 178418
- Change theme for download and desktop meta-class, for Mandriva 2008.1

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.21-1mdv2008.1
+ Revision: 175974
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.13-1mdv2008.1
+ Revision: 165743
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.8-1mdv2008.1
+ Revision: 161960
- new version
- drop patches 5,6

* Fri Feb 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-4mdv2008.1
+ Revision: 161162
- Disable compositing for now, too many drivers have still buggy compositing support

  + Götz Waschk <waschk@mandriva.org>
    - remove wonderland theme

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-3mdv2008.1
+ Revision: 138764
- Patch6 (SVN): fix glitches in compositor (GNOME bug #504876, fix shadows)

* Thu Dec 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 138445
- Patch5 (SVN): use Composite Overlay Window from XComposite >= 0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 133880
- new version
- drop patch 3

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 133820
- Remove source2 and patch3 (no longer used)
- Patch3 (SVN): new compositor code, from Ian Holmes
- Patch4 : enable compositor mode by default

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 120712
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 109889
- new version

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 108092
- new version
- new version

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88438
- new version

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.55-2mdv2008.0
+ Revision: 81034
- Migrate default theme when upgrading from old distribution

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.55-1mdv2008.0
+ Revision: 59865
- update file list
- new version
- drop patch 4
- call intltoolize to fix build

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.34-2mdv2008.0
+ Revision: 58081
- Patch4: fix kill dialog text with non-UTF8 locale

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.34-1mdv2008.0
+ Revision: 54918
- new version
- new devel naming scheme

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.21-1mdv2008.0
+ Revision: 40820
- new version

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.13-1mdv2008.0
+ Revision: 38000
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 35201
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 17809
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 14423
- new version
- update file list

